org.h2.expression

## Class ParameterRemote

- java.lang.Object
- - org.h2.expression.ParameterRemote

All Implemented Interfaces:
  ParameterInterface

    public class ParameterRemote
    extends java.lang.Object
    implements ParameterInterface

A client side (remote) parameter.

### Constructor Summary

Constructors
Constructor and Description
`ParameterRemote(int index)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `checkSet()` Check if the value is set.
`int` `getNullable()` Check if this column is nullable.
`Value` `getParamValue()` Get the value of the parameter if set.
`TypeInfo` `getType()` Returns the expected data type if no value is set, or the data type of the value if one is set.
`boolean` `isValueSet()` Is the value of a parameter set.
`void` `readMetaData(Transfer transfer)` Read the parameter meta data from the transfer object.
`void` `setValue(Value newValue, boolean closeOld)` Set the value of the parameter.
`static void` `writeMetaData(Transfer transfer, ParameterInterface p)` Write the parameter meta data to the transfer object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterRemote

    public ParameterRemote(int index)

### Method Detail

#### setValue

    public void setValue(Value newValue,
                         boolean closeOld)

Description copied from interface: `ParameterInterface`
Set the value of the parameter.

Specified by:
  `setValue` in interface `ParameterInterface`
Parameters:
  `newValue` - the new value
  `closeOld` - if the old value (if one is set) should be closed

#### getParamValue

    public Value getParamValue()

Description copied from interface: `ParameterInterface`
Get the value of the parameter if set.

Specified by:
  `getParamValue` in interface `ParameterInterface`
Returns:
  the value or null

#### checkSet

    public void checkSet()

Description copied from interface: `ParameterInterface`
Check if the value is set.

Specified by:
  `checkSet` in interface `ParameterInterface`

#### isValueSet

    public boolean isValueSet()

Description copied from interface: `ParameterInterface`
Is the value of a parameter set.

Specified by:
  `isValueSet` in interface `ParameterInterface`
Returns:
  true if set

#### getType

    public TypeInfo getType()

Description copied from interface: `ParameterInterface`
Returns the expected data type if no value is set, or the data type of the value if one is set.

Specified by:
  `getType` in interface `ParameterInterface`
Returns:
  the data type

#### getNullable

    public int getNullable()

Description copied from interface: `ParameterInterface`
Check if this column is nullable.

Specified by:
  `getNullable` in interface `ParameterInterface`
Returns:
  Column.NULLABLE_*

#### readMetaData

    public void readMetaData(Transfer transfer)
                      throws java.io.IOException

Read the parameter meta data from the transfer object.

Parameters:
  `transfer` - the transfer object
Throws:
  `java.io.IOException` - on failure

#### writeMetaData

    public static void writeMetaData(Transfer transfer,
                                     ParameterInterface p)
                              throws java.io.IOException

Write the parameter meta data to the transfer object.

Parameters:
  `transfer` - the transfer object
  `p` - the parameter
Throws:
  `java.io.IOException` - on failure